;; $Revision: 1.2 $ $Date: 2005/07/17 16:58:29 $

(use eggdoc)
(use eggdoc-zb)


(define doc
  `((eggdoc:begin
     (name "doctype")
     (description (p "Provides " (url "http://htmlhelp.com/tools/validator/doctype.html"
                                      "XML doctypes")
                     " as strings."))
     
     (author (url ,zbigniew-homepage "Zbigniew"))

     (history (version "1.1" "Fix typo in html-4.01-transitional")
              (version "1.0" "Initial release"))

     (usage)
     (download "doctype.egg")

     (documentation
      (p "Exports strings corresponding to standard XML (XHTML, HTML) doctypes.")

      (group
       (strings "doctype:xhtml-1.0-strict"
                "doctype:html-4.01-strict"
                "doctype:xhtml-1.0-transitional"
                "doctype:html-4.01-transitional"
                "doctype:xhtml-1.0-frameset"
                "doctype:html-4.01-frameset"
                "doctype:html-3.2"
                "doctype:html-2.0")))
      
     (examples
      (pre #<<EOF
#;1> (use doctype)
#;2> (print doctype:xhtml-1.0-strict)
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
EOF
))
     (section "License"
              (p "Public domain.")))))


;; Here's an example of a custom stylesheet -- we add a new (strings) tag
;; to the eggdoc default.
(let ((ss (append (eggdoc:make-stylesheet doc)
                  `( (strings *macro* . ,(lambda (tag . strings)
                                           `(definition (signatures
                                                         ,@(map (lambda (s)
                                                                  `(signature "string" ,s))
                                                                strings)))))))))
  (eggdoc->html doc ss))
