;; $Revision: 1.1 $ $Date: 2005/07/14 02:29:39 $

(use eggdoc)
(use eggdoc-zb)


(define doc
  `((eggdoc:begin
     (name "sxml-tools")
     (description (p "The "
                     (a (@ (href "http://cvs.sourceforge.net/viewcvs.py/ssax/sxml-tools/"))
                        "sxml-tools")
                     " from the " (a (@ (href "http://ssax.sf.net")) "SSAX project")
                     " at Sourceforge."))
     (author (p (url "http://okmij.org/ftp/" "Oleg Kiselyov")              ", "
                (url "http://www196.pair.com/lisovsky/" "Kirill Lisovsky") ", "
                (url "http://modis.ispras.ru/Lizorkin/index.html" "Dmitry Lizorkin")
                ". Port by "
                (url "http://jiyu.gnook.org/~zbigniew/" "Zbigniew")))

     (history (version "1.0" "Initial release"))

     (requires "srfi-13 [string-lib]" "srfi-1 [list-lib]")
     (usage)
     (download "sxml-tools.egg")

     (documentation
      (p "This egg provides most of the sxml-tools available in the SSAX/SXML Sourceforge project.  It incorporates several different extensions:")

      (group
       (definition (signature "extension" "(require-extension sxml-tools)")
         "sxml-tools; sxpath; sxpathlib; sxpath-ext; txpath; and xpath-parser")
       (definition (signature "extension" "(require-extension sxml-tools-extra)")
         "xpath-ast; xpath-context; ddo-axes; ddo-txpath; modif; lazy-xpath")
       (definition (signatures (signature "extension" "(require-extension stx-engine)")
                               (signature "extension" "(require-extension sxpath-plus)"))))

      (p "Much documentation is available at " (a (@ (href "http://www196.pair.com/lisovsky/xml/index.html")) "Lisovsky's XML page") " and the " (a (@ (href "http://ssax.sf.net")) " SSAX homepage") ".  For serious use, you will probably want to untar the egg and study the source and the included tests.  See the README.txt file in the egg for details.")

      (p "xlink, xlink-parser, fragments and guides are not provided as extensions, but they are included in the egg as source."))

     (section "Bugs"
              (p "Although these files are pretty interdependent, they could be broken down further into separate extensions.  sxpath could be pulled out, for example, with the caveat that txpath parsing would result in an error.")
              (p "Not everything is tested, since tests are not provided for all functionality."))

     (examples
      (p "Examples are available in the sxml-tools documentation (see above).  " (a (@ (href "http://www196.pair.com/lisovsky/query/sxpath/tutorial/tutorial4.scm")) "This one") " is a straightforward example of SXPath.  Additionally, the sxml-tools tests are included in the egg.  Untar it and read the README.txt file for details."))

     (section "License"
              (p "The sxml-tools are in the public domain."))
     
     )))

(eggdoc->html doc)
