;; $Revision: 1.1 $ $Date: 2005/07/13 22:15:08 $

(use eggdoc)
(use eggdoc-zb)


(define doc
  `((eggdoc:begin
     (name "sxml-transforms")
     (description (p "The "
                     (a (@ (href "http://cvs.sourceforge.net/viewcvs.py/ssax/SSAX"))
                        "SXML transformations")
                     " (to XML, SXML, and HTML) from the "
                     (a (@ (href "http://ssax.sf.net")) "SSAX project")
                     " at Sourceforge."))
     (author (p (url "http://okmij.org/ftp/" "Oleg Kiselyov") ". Port by "
				(url ,zbigniew-homepage "Zbigniew")))

     (history (version "1.0" "Initial release"))

     ;(usage)
     (download "sxml-transforms.egg")

     (documentation
      (p "This egg provides the SXML transforms available in the SSAX/SXML Sourceforge project.  It incorporates one main extension, and an auxiliary one:")

      (group
       (definition (signature "extension" "(require-extension sxml-transforms)")
         (dl
          (dt "From SXML-tree-trans.scm:")
          (dd (tt "SRV:send-reply pre-post-order post-order foldts replace-range"))
          (dt "From SXML-to-HTML.scm:")
          (dd (tt "SXML->HTML entag enattr string->goodHTML"))
          (dt "From SXML-to-HTML-ext.scm:")
          (dd (tt "universal-conversion-rules universal-protected-rules alist-conv-rules"))
          (dt "From util.scm:")
          (dd (tt "make-char-quotator"))
          (dt "Chicken-specific modifications:")
          (dd (p (tt "entag-xhtml entag-html"))
              (p " entag-xhtml closes XHTML tags properly in an HTML compatible way.  entag is now an alias for entag-xhtml, so this behaviour is the default.  entag-html is an alias for the original entag."))))

       (definition (signature "extension" "(require-extension sxml-to-sxml)")
         (p "Provides " (tt "pre-post-order-composable") ", a variant of " (tt "pre-post-order")
            " which always outputs strictly-conformant SXML.  This comes from sxml-to-sxml.scm."))))


     (examples
      (p (url "http://okmij.org/ftp/Scheme/xml.html" "Oleg's site")
              " is the main resource.  Be sure to read his examples and the ones in the SSAX repository (also included in the egg).  The following papers were of great help:")
      (ul (li (url "http://okmij.org/ftp/papers/SXs-talk.pdf"))
          (li (url "http://okmij.org/ftp/papers/SXs.pdf"))
          (li (url "http://okmij.org/ftp/papers/SXSLT-talk.pdf")))
      (p "Also, the " (url "eggdoc.html" "eggdoc") " extension makes heavy use of sxml-transforms.") )
     
     
     (section "License"
              (p "The sxml-transforms code is in the public domain."))
     
    )))

(eggdoc->html doc)
