;; $Revision: 1.1 $ $Date: 2005/07/13 20:37:01 $

(use eggdoc)
(use eggdoc-zb)

(define doc
  `((eggdoc:begin
    (name "vector-lib")
    (description (p "A port of the final reference implementation of "
                    (a (@ href "http://srfi.schemers.org/srfi-43") "SRFI-43: Vector library")
                    ", with additions and fixes."))
    (author (p "Reference implementation by Taylor Campbell.  Chicken port by "
               (a (@ (href "http://jiyu.gnook.org/~zbigniew/"))
                  "Zbigniew")))
    (history (version "1.1" "Final implementation port by Zbigniew")
             (version "1.0" "Draft implementation port by William S. Annis"))
    (usage)
    (download "vector-lib.scm")  ;; download may also be a pair, in which case it's inserted verbatim

    (documentation

     (p "See the " (url "http://srfi.schemers.org/srfi-43/srfi-43.html"
                        "SRFI-43 document")
        " for full documentation on the reference implementation.")

     (p "The reference implementation on srfi.schemers.org is buggy
         (as of 24 May 2005).  This code is actually derived from Taylor Campbell's "
        (url "http://srfi.schemers.org/srfi-43/post-mail-archive/msg00001.html"
             "updated version") ".")

     (p "Also included are the following user-visible fixes:")
     (ul (li (url "http://srfi.schemers.org/srfi-43/post-mail-archive/msg00008.html"
                  "vector-map fix") " from Will M. Farr")
         (li (tt "list->vector") " and " (tt "reverse-list->vector") " obey the "
             (tt "START") " offset, and disallow negative length"))

     (p "Additionally, " (tt "list->vector") " and " (tt "reverse-list->vector")
        " accept optional " (tt "START") " and " (tt "END") " arguments: ")

     (group (procedure "(list->vector LIST [START END])"
                       (p "Produce a vector containing the elements in " (tt "LIST") ", which
must be a proper list, between " (tt "START") ", whose default is 0, and " (tt "END") ",
whose default is the length of " (tt "LIST") ".  It is suggested that if the
length of " (tt "LIST") " is known in advance, the " (tt "START") " and " (tt "END") " arguments
be passed, so that " (tt "list->vector") " need not call " (tt "length") " itself."))

            (procedure "(reverse-list->vector LIST [START END])"
                       (p "Produces the same output as " (tt "list->vector") ", but in reverse order.")))

     (p "This brings them more in line with " (tt "vector->list") " and " (tt "reverse-vector->list") ", which also take " (tt "START") " and " (tt "END") " arguments."))

    (license ,licenses:zbigniew-bsd))))

#|                  
(with-output-to-file "~/scheme/html/eggdoc-sxslt/vector-lib.html"
  (lambda ()
    (eggdoc->html doc)))
|#

(eggdoc->html doc)
